package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcInvoiceApplySupplierEntity {
    private Long id;

    private Integer accountingOrderType;

    private Long accountingOrderId;

    private String accountingOrderSn;

    private Integer dimCreateBy;

    private String invoiceSn;

    private String invoiceApplySn;

    private BigDecimal invoiceApplyAmount;

    private BigDecimal freeAmount;

    private BigDecimal unAccountingAmount;

    private BigDecimal jcUnAccountingAmount;

    private BigDecimal realAmount;

    private BigDecimal rebateAmount;

    private Integer invoiceType;

    private String invoiceMode;

    private Long sysPlatformExtInvoiceId;

    private String taxRate;

    private String invoiceNumber;

    private String saleId;

    private String saleName;

    private Integer saleIsExport;

    private String applyUserId;

    private String applyUserName;

    private Date applyTime;

    private String updateUserId;

    private String updateUserName;

    private Date updateTime;

    private String makeInvoiceUserId;

    private String makeInvoiceUserName;

    private Integer makeInvoiceStatus;

    private Date makeInvoiceTime;

    private Long expressCompanyId;

    private String expressCompanyName;

    private String expressNo;

    private String remark;

    private Date mailTickTime;

    private String mailTickUserId;

    private Integer mailTickStatus;

    private Date syncTime;

    private Integer storageStatus;

    private Date storageTime;

    private Integer jcOrderCount;

    private Integer unifiedOrderCount;

    private BigDecimal unifiedApplyAmount;

    private BigDecimal unifiedRebateAmount;

    private String sysPlatformExtInvoiceSnapshot;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getAccountingOrderType() {
        return accountingOrderType;
    }

    public void setAccountingOrderType(Integer accountingOrderType) {
        this.accountingOrderType = accountingOrderType;
    }

    public Long getAccountingOrderId() {
        return accountingOrderId;
    }

    public void setAccountingOrderId(Long accountingOrderId) {
        this.accountingOrderId = accountingOrderId;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Integer getDimCreateBy() {
        return dimCreateBy;
    }

    public void setDimCreateBy(Integer dimCreateBy) {
        this.dimCreateBy = dimCreateBy;
    }

    public String getInvoiceSn() {
        return invoiceSn;
    }

    public void setInvoiceSn(String invoiceSn) {
        this.invoiceSn = invoiceSn;
    }

    public String getInvoiceApplySn() {
        return invoiceApplySn;
    }

    public void setInvoiceApplySn(String invoiceApplySn) {
        this.invoiceApplySn = invoiceApplySn;
    }

    public BigDecimal getInvoiceApplyAmount() {
        return invoiceApplyAmount;
    }

    public void setInvoiceApplyAmount(BigDecimal invoiceApplyAmount) {
        this.invoiceApplyAmount = invoiceApplyAmount;
    }

    public BigDecimal getFreeAmount() {
        return freeAmount;
    }

    public void setFreeAmount(BigDecimal freeAmount) {
        this.freeAmount = freeAmount;
    }

    public BigDecimal getUnAccountingAmount() {
        return unAccountingAmount;
    }

    public void setUnAccountingAmount(BigDecimal unAccountingAmount) {
        this.unAccountingAmount = unAccountingAmount;
    }

    public BigDecimal getJcUnAccountingAmount() {
        return jcUnAccountingAmount;
    }

    public void setJcUnAccountingAmount(BigDecimal jcUnAccountingAmount) {
        this.jcUnAccountingAmount = jcUnAccountingAmount;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public BigDecimal getRebateAmount() {
        return rebateAmount;
    }

    public void setRebateAmount(BigDecimal rebateAmount) {
        this.rebateAmount = rebateAmount;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceMode() {
        return invoiceMode;
    }

    public void setInvoiceMode(String invoiceMode) {
        this.invoiceMode = invoiceMode;
    }

    public Long getSysPlatformExtInvoiceId() {
        return sysPlatformExtInvoiceId;
    }

    public void setSysPlatformExtInvoiceId(Long sysPlatformExtInvoiceId) {
        this.sysPlatformExtInvoiceId = sysPlatformExtInvoiceId;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public Integer getSaleIsExport() {
        return saleIsExport;
    }

    public void setSaleIsExport(Integer saleIsExport) {
        this.saleIsExport = saleIsExport;
    }

    public String getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMakeInvoiceUserId() {
        return makeInvoiceUserId;
    }

    public void setMakeInvoiceUserId(String makeInvoiceUserId) {
        this.makeInvoiceUserId = makeInvoiceUserId;
    }

    public String getMakeInvoiceUserName() {
        return makeInvoiceUserName;
    }

    public void setMakeInvoiceUserName(String makeInvoiceUserName) {
        this.makeInvoiceUserName = makeInvoiceUserName;
    }

    public Integer getMakeInvoiceStatus() {
        return makeInvoiceStatus;
    }

    public void setMakeInvoiceStatus(Integer makeInvoiceStatus) {
        this.makeInvoiceStatus = makeInvoiceStatus;
    }

    public Date getMakeInvoiceTime() {
        return makeInvoiceTime;
    }

    public void setMakeInvoiceTime(Date makeInvoiceTime) {
        this.makeInvoiceTime = makeInvoiceTime;
    }

    public Long getExpressCompanyId() {
        return expressCompanyId;
    }

    public void setExpressCompanyId(Long expressCompanyId) {
        this.expressCompanyId = expressCompanyId;
    }

    public String getExpressCompanyName() {
        return expressCompanyName;
    }

    public void setExpressCompanyName(String expressCompanyName) {
        this.expressCompanyName = expressCompanyName;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getMailTickTime() {
        return mailTickTime;
    }

    public void setMailTickTime(Date mailTickTime) {
        this.mailTickTime = mailTickTime;
    }

    public String getMailTickUserId() {
        return mailTickUserId;
    }

    public void setMailTickUserId(String mailTickUserId) {
        this.mailTickUserId = mailTickUserId;
    }

    public Integer getMailTickStatus() {
        return mailTickStatus;
    }

    public void setMailTickStatus(Integer mailTickStatus) {
        this.mailTickStatus = mailTickStatus;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public Integer getJcOrderCount() {
        return jcOrderCount;
    }

    public void setJcOrderCount(Integer jcOrderCount) {
        this.jcOrderCount = jcOrderCount;
    }

    public Integer getUnifiedOrderCount() {
        return unifiedOrderCount;
    }

    public void setUnifiedOrderCount(Integer unifiedOrderCount) {
        this.unifiedOrderCount = unifiedOrderCount;
    }

    public BigDecimal getUnifiedApplyAmount() {
        return unifiedApplyAmount;
    }

    public void setUnifiedApplyAmount(BigDecimal unifiedApplyAmount) {
        this.unifiedApplyAmount = unifiedApplyAmount;
    }

    public BigDecimal getUnifiedRebateAmount() {
        return unifiedRebateAmount;
    }

    public void setUnifiedRebateAmount(BigDecimal unifiedRebateAmount) {
        this.unifiedRebateAmount = unifiedRebateAmount;
    }

    public String getSysPlatformExtInvoiceSnapshot() {
        return sysPlatformExtInvoiceSnapshot;
    }

    public void setSysPlatformExtInvoiceSnapshot(String sysPlatformExtInvoiceSnapshot) {
        this.sysPlatformExtInvoiceSnapshot = sysPlatformExtInvoiceSnapshot;
    }
}